@Echo off
:: BatchGotAdmin
:-------------------------------------
REM --> Check for permissions
IF "%PROCESSOR_ARCHITECTURE%" EQU "amd64" (
>nul 2>&1 "%SYSTEMROOT%\SysWOW64\cacls.exe" "%SYSTEMROOT%\SysWOW64\config\system"
) ELSE (
>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"
)

REM --> If error flag set, we do not have admin.
if '%errorlevel%' NEQ '0' (
echo Requesting administrative privileges...
goto UACPrompt
) else ( goto gotAdmin )

:UACPrompt
echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs"
set params= %*
echo UAC.ShellExecute "cmd.exe", "/c ""%~s0"" %params:"=""%", "", "runas", 1 >> "%temp%\getadmin.vbs"

"%temp%\getadmin.vbs"
del "%temp%\getadmin.vbs"
exit /B

:gotAdmin
pushd "%CD%"
CD /D "%~dp0"
:--------------------------------------
taskkill /IM Agent.exe /F
taskkill /IM Battle.net.exe /F
del /f ".\Data\data\shmem"
del /f ".\main\recipes\cmr_hist"
del "C:\Program Files (x86)\Call of Duty Modern Warfare\main\data0.dcache"
del "C:\Program Files (x86)\Call of Duty Modern Warfare\main\data1.dcache"
del "C:\Program Files (x86)\Call of Duty Modern Warfare\main\toc0.dcache"
del "C:\Program Files (x86)\Call of Duty Modern Warfare\main\toc1.dcache"
del "C:\Program Files (x86)\Call of Duty Modern Warfare\main\recipes\cmr_hist"
del "C:\Program Files (x86)\Call of Duty Modern Warfare\Data\data\shmem"
del "C:\Users\%username%\Documents\Call of Duty Modern Warfare\archive"
del "C:\Users\%username%\Documents\Call of Duty Modern Warfare\players"
del "C:\Users\%username%\Documents\Call of Duty Modern Warfare\report"
del "C:\Users\%username%\Documents\Call of Duty Modern Warfare"
del "C:\Users\%username%\AppData\Local\Battle.net\Account\493490788"
del "C:\Users\%username%\AppData\Local\Battle.net\Account\493518272"
del "C:\Users\%username%\AppData\Local\Battle.net\Account\805405146"
del "C:\Users\%username%\AppData\Local\Battle.net\BrowserCache"
del "C:\Users\%username%\AppData\Local\Battle.net\Cache"
del "C:\Users\%username%\AppData\Local\Battle.net\Logs"
del "C:\Users\%username%\AppData\Local\Battle.net\WidevineCdm"
del "C:\Users\%username%\AppData\Local\Battle.net\CachedData"
del "C:\Users\%username%\AppData\Local\Blizzard Entertainment"
del "C:\Users\%username%\AppData\Roaming\Battle.net"
del "C:\ProgramData\Battle.net"
del "C:\ProgramData\Blizzard Entertainment"
cls
echo . . . . . . . . . . . . . . . .
echo.
echo Tracers Cleaned!
echo.
echo . . . . . . . . . . . . . . . .
echo.
pause
Exit